/*
 *  LevelLoader.h
 *  Racer
 *
 *  Created by Nathan Sturtevant on Sat Apr 17 2004.
 *  Copyright (c) 2004 NS Software. All rights reserved.
 *
 */

#include <Carbon/Carbon.h>
#include "Object.h"
#include "World.h"
#include "YourShip.h"

#ifndef LEVELLOADER_H
#define LEVELLOADER_H

class LevelLoader {
public:
	LevelLoader();
	~LevelLoader();
	int getNumLevels();
	YourShip *loadLevel(int which, World *w);
	void loadLevelDescription(int which, World *w);
private:
  Object *loadNextObject(FILE *f, YourShip *ship, bool &goal);
	void getLevelPath(int which, char *result);
	long GetApplicationBundleFSRef(FSRef * location);
};

#endif