/*
 *  HighScores.h
 *  Racer
 *
 *  Created by Nathan Sturtevant on Fri Apr 16 2004.
 *  Copyright (c) 2004 NS Software. All rights reserved.
 *
 */

#include <Carbon/Carbon.h>
#include <stdint.h>
#include <stdio.h>
#include "TextBox.h"

#ifndef HIGHSCORES_H
#define HIGHSCORES_H

class score {
public:
	score() :value(10000) { name[0] = 'N'; name[1] = '_'; name[2] = 'S'; } // default values
	char name[4];
	uint32_t value;
};

class HighScores {
public:
	HighScores();
	~HighScores();
	void save();
	void load();
	bool isHighScore(uint32_t value);
	void addHighScore(char *name, uint32_t value);
	TextBox *getHighScoreList();
private:
		FILE *openFile(char *style);
		score scores[10];
};

#endif