/*
 *  Fragment.h
 *  Racer
 *
 *  Created by Nathan Sturtevant on Sat Apr 10 2004.
 *  Copyright (c) 2004 NS Software. All rights reserved.
 *
 */

#include <Carbon/Carbon.h>


#include <Carbon/Carbon.h>
#include <OpenGL/gl.h>
#include "Object.h"
#include "point3d.h"

#ifndef FRAGMENT_H
#define FRAGMENT_H

class Fragment : public Object {
public:
	Fragment(GLfloat posx, GLfloat posy, GLfloat posz,
					 GLfloat velx, GLfloat vely, GLfloat velz,
					 GLfloat rotx, GLfloat roty); // start coord (3), velocity(3)
	~Fragment() {}
	int getDepthPlane() { return kFrontPlane; }
	void draw();
  uint32_t stepTime(double amount);
	point3d getLocation();
private:
		GLfloat pos[3];
		GLfloat velocity[3];
		GLfloat rotation[2];
		double elapsedTime;
};

#endif